<?php

namespace App\Http\Controllers\Api;

use App\Models\Restaurant;
use App\Models\Settings;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class RestaurantsController extends Controller
{
	public function welcome(Request $request)
	{
		$relation = Restaurant::with(['cuisines'])->where('display_on_welcome_page', 1);
		if (Settings::multipleCitiesEnabled()) {
			$city_id = $request->input('city_id');
			if ($city_id == null) {
				$user = $request->user();
				if ($user != null) {
					$city_id = $user->city_id;
				}
			}
			if ($city_id == null) {
				$relation = $relation->where('city_id', $city_id);
			}
		}
		$restaurants = $relation->orderBy('welcome_page_order', 'ASC')->get();
		return response()->json($restaurants);
	}

    public function index(Request $request)
    {
    	$city_id = $request->input('city_id');
    	if ($city_id != null) {
        	$restaurants = Restaurant::with(['cuisines'])->where('city_id', $request->input('city_id'))->orderBy('sort', 'ASC')->get();
    	}
    	else {
    		$restaurants = Restaurant::with(['cuisines'])->orderBy('sort', 'ASC')->get();
    	}
        return response()->json($restaurants);
    }
}
