<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Cuisine;
use App\Models\Product;
use App\Models\OrderStatus;
use App\Models\Settings;
use App\Models\Category;
use App\Models\City;
use App\Models\DeliveryArea;
use Illuminate\Http\Request;

class SettingsController extends Controller
{
    public function index(Request $request)
    {
        $data = [
            'settings' => Settings::getSettings(),
            'cuisines' => Cuisine::all(),
            'categories' => Category::defaultOrder()->get(),
            'order_statuses' => OrderStatus::all()
        ];
        if (Settings::getSettings()->multiple_cities) {
        	$data['cities'] = City::orderBy('sort', 'ASC')->get();
        }
        else {
        	$data['delivery_areas'] = DeliveryArea::all();
        }
        return response()->json($data);
    }
}
