<?php

namespace App\Http\Controllers;

use App\Models\Restaurant;
use App\Models\Settings;
use Validator;
use Illuminate\Http\Request;

class CuisinesController extends BaseController
{
    protected $base = 'cuisines';
    protected $cls = 'App\Models\Cuisine';
    protected $orderBy = 'sort';
    protected $orderByDir = 'ASC';
    protected $images = ['image'];
    protected $images_folder = 'cuisines_images';

    public function getValidator(Request $request)
    {
        $rules = [
            'name' => 'required',
            'sort' => 'required|integer'
        ];
        return Validator::make($request->all(), $rules);
    }
}
