<?php

namespace App\Http\Controllers;

use Gate;
use Validator;
use Illuminate\Http\Request;

class DisabledDatesController extends BaseController
{
    protected $base = 'disabled_dates';
    protected $cls = 'App\Models\DisabledDate';
    protected $orderBy = 'date_from';
    protected $orderByDir = 'DESC';

    public function getValidator(Request $request)
    {
        return Validator::make($request->all(), [
            'date_from' => 'required',
            'date_to' => 'required',
            'restaurant_id' => 'required'
        ]);
    }

    protected function redirectOnCreatePath(Request $request)
    {
        $data = $request->all();
        return route('restaurants.edit', ['restaurant' => $data['restaurant_id']]);
    }

    public function destroy($id)
    {
        $item = call_user_func([$this->cls, 'find'], $id);
        if (!Gate::allows('delete', $item)) {
            return redirect('/');
        }
        $item->delete();
        return redirect(route('restaurants.edit', ['restaurant' => $item->restaurant_id]));
    }
}
