<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class OrderedProduct extends Model
{
    protected $fillable = ['product_id', 'order_id', 'price', 'count', 'product_data', 'options_data'];

    public function getPriceAttribute($value)
    {
        if (empty($this->options_data)) {
            return $value;
        }
        $result = $value;
        $data = json_decode($this->options_data);
        foreach ($data as $item) {
            $result = $result + $item->count * $item->price;
		}
        return $result;
    }

    public function order()
    {
        return $this->belongsTo('App\Models\Order');
    }

    public function product()
    {
        return $this->belongsTo('App\Models\Product');
    }

    public function getOptionsAttribute()
    {
        if (empty($this->options_data)) {
            return [];
        }
        return json_decode($this->options_data);
    }
}
