<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Cuisine;
use Illuminate\Auth\Access\HandlesAuthorization;

class CuisinePolicy
{
    use HandlesAuthorization;

    protected function tgAccess(User $user, Cuisine $taxGroup)
    {
        return $user->access_full;
    }

    /**
     * Determine whether the user can view the taxGroup.
     *
     * @param  \App\Models\User  $user
     * @param  \App\Models\TaxGroup  $taxGroup
     * @return mixed
     */
    public function view(User $user, Cuisine $taxGroup)
    {
        return true;
    }

    /**
     * Determine whether the user can create taxGroups.
     *
     * @param  \App\Models\User  $user
     * @return mixed
     */
    public function create(User $user)
    {
        return $this->tgAccess($user, new Cuisine());
    }

    /**
     * Determine whether the user can update the taxGroup.
     *
     * @param  \App\Models\User  $user
     * @param  \App\Models\TaxGroup  $taxGroup
     * @return mixed
     */
    public function update(User $user, Cuisine $taxGroup)
    {
        return $this->tgAccess($user, $taxGroup);
    }

    /**
     * Determine whether the user can delete the taxGroup.
     *
     * @param  \App\Models\User  $user
     * @param  \App\Models\TaxGroup  $taxGroup
     * @return mixed
     */
    public function delete(User $user, Cuisine $taxGroup)
    {
        return $this->tgAccess($user, $taxGroup);
    }
}
