<?php

namespace App\Providers;

use App\Models\Cuisine;
use App\Policies\CuisinePolicy;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Gate;

use App\Models\Category;
use App\Models\User;
use App\Models\Product;
use App\Models\Order;
use App\Models\OrderedProduct;
use App\Models\Customer;
use App\Models\PushMessage;
use App\Models\DeliveryArea;
use App\Models\PromoCode;
use App\Models\DisabledDate;
use App\Models\TaxGroup;
use App\Models\City;
use App\Models\Restaurant;
use App\Models\Settings;
use App\Models\NewsItem;
use App\Models\DeliveryBoy;
use App\Models\DeliveryBoyMessage;
use App\Models\OrderStatus;
use App\Policies\CategoryPolicy;
use App\Policies\DisabledDatePolicy;
use App\Policies\UserPolicy;
use App\Policies\ProductPolicy;
use App\Policies\OrderPolicy;
use App\Policies\OrderedProductPolicy;
use App\Policies\CustomerPolicy;
use App\Policies\PushMessagePolicy;
use App\Policies\DeliveryAreaPolicy;
use App\Policies\PromoCodePolicy;
use App\Policies\TaxGroupPolicy;
use App\Policies\CityPolicy;
use App\Policies\RestaurantPolicy;
use App\Policies\SettingsPolicy;
use App\Policies\NewsItemPolicy;
use App\Policies\DeliveryBoyPolicy;
use App\Policies\DeliveryBoyMessagePolicy;
use App\Policies\OrderStatusPolicy;
use App\Policies\VendorPolicy;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the application.
     *
     * @var array
     */
    protected $policies = [
        // 'App\Model' => 'App\Policies\ModelPolicy',
        Category::class => CategoryPolicy::class,
        User::class => UserPolicy::class,
        Product::class => ProductPolicy::class,
        Order::class => OrderPolicy::class,
        Customer::class => CustomerPolicy::class,
        PushMessage::class => PushMessagePolicy::class,
        DeliveryArea::class => DeliveryAreaPolicy::class,
        PromoCode::class => PromoCodePolicy::class,
        TaxGroup::class => TaxGroupPolicy::class,
        City::class => CityPolicy::class,
        Restaurant::class => RestaurantPolicy::class,
        Settings::class => SettingsPolicy::class,
        NewsItem::class => NewsItemPolicy::class,
        OrderedProduct::class => OrderedProductPolicy::class,
        DeliveryBoy::class => DeliveryBoyPolicy::class,
        DeliveryBoyMessage::class => DeliveryBoyMessagePolicy::class,
        OrderStatus::class => OrderStatusPolicy::class,
        DisabledDate::class => DisabledDatePolicy::class,
        Cuisine::class => CuisinePolicy::class
    ];

    /**
     * Register any authentication / authorization services.
     *
     * @return void
     */
    public function boot()
    {
        $this->registerPolicies();

        //
    }
}
