<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddCustomerIdToPushMessagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('push_messages', function(Blueprint $table)
        {
            $table->integer('customer_id')->unsigned()->nullable()->default(null);
            $table->foreign('customer_id')->references('id')->on('customers');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('push_messages', function(Blueprint $table)
        {
            $table->dropForeign('customer_id');
            $table->dropColumn(['customer_id']);
        });
    }
}
