<x-app-layout>

<h4 class="c-grey-900 mT-10 mB-30">
    {{ __('messages.categories.menu_title') }}
</h4>

<div class="bgc-white bd bdrs-3 p-20 mB-20">

    <form method="post" action="@if ($item->id == null) {{ route('categories.store') }} @else {{ route('categories.update', ['category' => $item->id]) }} @endif" enctype="multipart/form-data">
        {{ csrf_field() }}
        @if ($item->id != null)
            {{ method_field('PUT') }}
        @endif

        <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
            <label for="" class="control-label">{{__('messages.categories.f_name')}}</label>
            <input type="text" class="form-control" value="{{$item->name}}" name="name"/>
            @if ($errors->has('name'))
                <span class="help-block">
                    <strong>{{ $errors->first('name') }}</strong>
                </span>
            @endif
        </div>

        <div class="form-group">
            <label for="" class="control-label">{{__('messages.categories.f_parent')}}</label>
            <select name="parent_id" class="form-control" id="parent">
                <option value=""></option>
                @foreach($categories as $category)
                    @if ((!$category->isDescendantOf($item)) && ($category->id != $item->id))
                        <option data-city="{{ $category->city_id }}" data-restaurant="{{ $category->restaurant_id }}" value="{{$category->id}}" @if ($item->parent_id == $category->id) selected @endif>
                            @for ($i = 0; $i < $category->depth; $i++) - @endfor {{$category->name}}
                        </option>
                    @endif
                @endforeach
            </select>
        </div>

        @if (\App\Models\Settings::getSettings()->multiple_cities)
            <div class="form-group">
                <label for="" class="control-label">{{__('messages.categories.f_city')}}</label>
                <select name="city_id" class="form-control" id="cities">
                    <option value=""></option>
                    @foreach(\App\Models\City::policyScope()->get() as $city)
                        <option value="{{$city->id}}" @if ($item->city_id == $city->id) selected @endif>
                            {{$city->name}}
                        </option>
                    @endforeach
                </select>
            </div>
        @endif

        @if (\App\Models\Settings::getSettings()->multiple_restaurants)
            <div class="form-group">
                <label for="" class="control-label">{{__('messages.categories.f_restaurant')}}</label>
                <select name="restaurant_id" class="form-control" id="restaurants">
                    <option value=""></option>
                    @foreach(\App\Models\Restaurant::policyScope()->get() as $restaurant)
                        <option data-city="{{ $restaurant->city_id }}" value="{{$restaurant->id}}" @if ($item->restaurant_id == $restaurant->id) selected @endif>
                            {{$restaurant->name}}
                        </option>
                    @endforeach
                </select>
            </div>
        @endif

        <div class="form-group">
            <label for="" class="control-label">{{__('messages.categories.f_image')}}</label>
            @if ($item->image != null)
                <div class="img-container">
                    <div class="row">
                        <div class="col-xs-6">
                            <img src="{{ $item->image }}" alt="" class="img-fluid">
                        </div>
                    </div>
                </div>
                <br/>
            @endif
            <input type="file" name="image">
        </div>

        <button type="submit" class="btn btn-primary btn-block">{{__('messages.actions.save')}}</button>
    </form>
    @if (\App\Models\Settings::getSettings()->multiple_cities && \App\Models\Settings::getSettings()->multiple_restaurants)
        <script>
            $(document).ready(function () {
                $('#cities').change(function () {
                    var c = $('#cities').val();
                    $('#restaurants option').hide();
                    $('#restaurants option[data-city=' + c + ']').show();
                });
                $('#cities').trigger('change');
            });
        </script>
    @endif
    @if (\App\Models\Settings::getSettings()->multiple_cities || \App\Models\Settings::getSettings()->multiple_restaurants)
        <script>
            $(document).ready(function () {
                $('#parent').change(function () {
                    var c = $('#parent option:selected');
                    $('#cities').val(c.data('city'));
                    $('#restaurants').val(c.data('restaurant'));
                });
            });
        </script>
    @endif
</div>

</x-app-layout>