<x-app-layout>

    <h4 class="c-grey-900 mT-10 mB-30">
        <a class="btn btn-primary pull-right" href="{{ route('categories.create') }}">{{__('messages.categories.new')}}</a>
        {{ __('messages.categories.menu_title') }}
    </h4>

    @if (\App\Models\Settings::getSettings()->multiple_cities || \App\Models\Settings::getSettings()->multiple_restaurants)
        <div class="bgc-white bd bdrs-3 p-20 mB-20">
            <form action="{{ route('categories.index') }}" method="get">
                <div class="row">
                    @if (\App\Models\Settings::getSettings()->multiple_cities)
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="control-label">{{ __('messages.categories.f_city') }}</label>
                                <select name="filter[city_id]" id="" class="form-control">
                                    <option value=""></option>
                                    @foreach(\App\Models\City::policyScope()->get() as $item)
                                        <option value="{{ $item->id }}" @if(is_array($filter) && isset($filter['city_id']) && $filter['city_id'] == $item->id) selected @endif>
                                            {{ $item->name }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    @endif
                    @if (\App\Models\Settings::getSettings()->multiple_restaurants)
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="control-label">{{ __('messages.categories.f_restaurant') }}</label>
                                <select name="filter[restaurant_id]" id="" class="form-control">
                                    <option value=""></option>
                                    @foreach(\App\Models\Restaurant::policyScope()->get() as $item)
                                        <option data-city="{{ $item->city_id }}" value="{{ $item->id }}" @if(is_array($filter) && isset($filter['restaurant_id']) && $filter['restaurant_id'] == $item->id) selected @endif>
                                            {{ $item->name }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    @endif
                </div>
                <button class="btn btn-primary">{{ __('messages.actions.filter') }}</button>
                <a href="{{ route('categories.index') }}" class="btn btn-default">{{ __('messages.actions.clear_filter') }}</a>
            </form>
        </div>
    @endif

    <div class="bgc-white bd bdrs-3 p-20 mB-20">
    @foreach($items as $item)
        <div class="tree-item" style="margin-left: {{ 30 * $item->depth }}px;">
            {{ $item->name }}
            <div class="pull-right">
                @can('update', $item)
                    @if ($item->getPrevSibling() != null)
                        <form action="{{ route('category_up', ['id' => $item->id]) }}" class="inline-form" method="post">
                            {{ csrf_field() }}
                            <button class="btn btn-secondary btn-xs" type="submit">
                                <span class="ti-angle-up"></span>
                            </button>
                        </form>
                    @endif
                    @if ($item->getNextSibling() != null)
                        <form action="{{ route('category_down', ['id' => $item->id]) }}" class="inline-form" method="post">
                            {{ csrf_field() }}
                            <button class="btn btn-secondary btn-xs" type="submit">
                                <span class="ti-angle-down"></span>
                            </button>
                        </form>
                    @endif
                    <a href="{{ route('categories.edit', ['category' => $item->id]) }}" class="btn btn-info btn-xs">{{__('messages.actions.edit')}}</a>
                @endcan
                @can('delete', $item)
                    <form action="{{ route('categories.destroy', ['category' => $item->id]) }}" class="inline-form" method="post">
                        {{ method_field('DELETE') }}
                        {{ csrf_field() }}
                        <button class="btn btn-danger btn-xs" type="submit">{{__('messages.actions.delete')}}</button>
                    </form>
                @endcan
            </div>
        </div>
    @endforeach
    {{ $items->appends(['filter' => $filter])->links() }}
    </div>

</x-app-layout>