<x-app-layout>

    <h4 class="c-grey-900 mT-10 mB-30">
        <a class="btn btn-primary pull-right" href="{{ route('cuisines.create') }}">{{__('messages.cuisines.new')}}</a>
        {{ __('messages.cuisines.menu_title') }}
    </h4>

    <div class="bgc-white bd bdrs-3 p-20 mB-20">
        <table class="table">
            <thead class="thead-dark">
            <tr>
                <th>{{__('messages.cuisines.f_image')}}</th>
                <th>{{__('messages.cuisines.f_name')}}</th>
                <th>{{__('messages.cuisines.f_sort')}}</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            @foreach($items as $item)
                <tr>
                    <td>
                        @if ($item->image != null && $item->image != '')
                            <img src="{{ $item->image }}" alt="" class="img-responsive product-image-table">
                        @endif
                    </td>
                    <td>{{ $item->name }}</td>
                    <td>{{ $item->sort }}</td>
                    <td>
                        @can('update', $item)
                            <a href="{{ route('cuisines.edit', ['cuisine' => $item->id]) }}" class="btn btn-info btn-xs">{{__('messages.actions.edit')}}</a>
                        @endcan
                        @can('delete', $item)
                            <form action="{{ route('cuisines.destroy', ['cuisine' => $item->id]) }}" class="inline-form" method="post">
                                {{ method_field('DELETE') }}
                                {{ csrf_field() }}
                                <button class="btn btn-danger btn-xs" type="submit">{{__('messages.actions.delete')}}</button>
                            </form>
                        @endcan
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
        {{ $items->appends(['filter' => $filter])->links() }}
    </div>

</x-app-layout>
