<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <meta name="viewport" content="width=device-width,initial-scale=1,shrink-to-fit=no">

        <title>{{ config('app.name', 'Giraffy Delivery v2') }}</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Styles -->
        <link rel="stylesheet" href="{{ mix('css/app.css') }}">

        <!-- Scripts -->
        <script src="{{ mix('js/app.js') }}" defer></script>

        @if (preg_match('/^delivery_areas/', \Route::currentRouteName()))
            <script type="text/javascript" src="//maps.googleapis.com/maps/api/js?libraries=drawing,geometry&key={{ \App\Models\Settings::getSettings()->google_maps_api_key }}"></script>
        @endif
	</head>
	<body class="app">
		<div>
			<div class="sidebar">
				<div class="sidebar-inner">
					<div class="sidebar-logo">
						<div class="peers ai-c fxw-nw">
							<div class="peer peer-greed">
								<a class="sidebar-link td-n" href="index.html">
									<div class="peers ai-c fxw-nw">
										<div class="peer">
											<div class="logo"><img src="/assets/static/images/logo.png" alt=""></div>
										</div>
										<div class="peer peer-greed">
											<h5 class="lh-1 mB-0 logo-text">{{ __('messages.menu.app_name') }}</h5>
										</div>
									</div>
								</a>
							</div>
							<div class="peer">
								<div class="mobile-toggle sidebar-toggle"><a href="" class="td-n"><i class="ti-arrow-circle-left"></i></a></div>
							</div>
						</div>
					</div>
					<ul class="sidebar-menu scrollable pos-r">
						<li class="nav-item mT-30 @if (preg_match('/^home/', \Route::currentRouteName())) actived @endif">
                            <a class="sidebar-link" href="{{ route('home') }}">
                                <span class="icon-holder">
                                    <i class="c-blue-500 ti-dashboard"></i>
                                </span>
                                <span class="title">{{ __('messages.dashboard.menu_title') }}</span>
                            </a>
                        </li>
                        @can('create', App\Models\NewsItem::class)
                            <li class="nav-item @if (preg_match('/^news_items/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('news_items.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-brown-500 ti-rss"></i>
                                    </span>
                                    <span class="title">{{ __('messages.news.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
                        @can('create', App\Models\Category::class)
                            <li class="nav-item @if (preg_match('/^categories/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('categories.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-green-500 ti-folder"></i>
                                    </span>
                                    <span class="title">{{ __('messages.categories.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
                        @can('create', App\Models\Product::class)
                            <li class="nav-item @if (preg_match('/^products/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('products.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-blue-500 ti-cup"></i>
                                    </span>
                                    <span class="title">{{ __('messages.products.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
                        @can('create', App\Models\Order::class)
                            <li class="nav-item @if (preg_match('/^orders/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('orders.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-red-500 ti-money"></i>
                                    </span>
                                    <span class="title">{{ __('messages.orders.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
                        @can('create', App\Models\Customer::class)
                            <li class="nav-item @if (preg_match('/^customers/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('customers.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-green-500 ti-heart"></i>
                                    </span>
                                    <span class="title">{{ __('messages.customers.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
                        @can('create', App\Models\PushMessage::class)
                            <li class="nav-item @if (preg_match('/^push_messages/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('push_messages.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-blue-500 ti-bell"></i>
                                    </span>
                                    <span class="title">{{ __('messages.push_messages.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
                        @can('create', App\Models\DeliveryArea::class)
                            <li class="nav-item @if (preg_match('/^delivery_areas/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('delivery_areas.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-brown-500 ti-map"></i>
                                    </span>
                                    <span class="title">{{ __('messages.delivery_areas.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
                        @can('create', App\Models\DeliveryBoy::class)
                            <li class="nav-item @if (preg_match('/^delivery_boys/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('delivery_boys.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-orange-500 ti-truck"></i>
                                    </span>
                                    <span class="title">{{ __('messages.delivery_boys.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
                        @can('create', App\Models\PromoCode::class)
                            <li class="nav-item @if (preg_match('/^promo_codes/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('promo_codes.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-blue-500 ti-tag"></i>
                                    </span>
                                    <span class="title">{{ __('messages.promo_codes.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
                        @can('create', App\Models\TaxGroup::class)
                            <li class="nav-item @if (preg_match('/^tax_groups/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('tax_groups.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-green-500 ti-pie-chart"></i>
                                    </span>
                                    <span class="title">{{ __('messages.tax_groups.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
                        @can('create', App\Models\OrderStatus::class)
                            <li class="nav-item @if (preg_match('/^order_status/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('order_statuses.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-brown-500 ti-menu"></i>
                                    </span>
                                    <span class="title">{{ __('messages.order_statuses.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
                        @if (\App\Models\Settings::getSettings()->multiple_cities)
                            @can('create', App\Models\City::class)
                                <li class="nav-item @if (preg_match('/^cities/', \Route::currentRouteName())) actived @endif">
                                    <a class="sidebar-link" href="{{ route('cities.index') }}">
                                        <span class="icon-holder">
                                            <i class="c-blue-500 ti-location-pin"></i>
                                        </span>
                                        <span class="title">{{ __('messages.cities.menu_title') }}</span>
                                    </a>
                                </li>
                            @endcan
                        @endif
                        @if (\App\Models\Settings::getSettings()->multiple_restaurants)
                            @can('create', App\Models\Cuisine::class)
                                <li class="nav-item @if (preg_match('/^cuisines/', \Route::currentRouteName())) actived @endif">
                                    <a class="sidebar-link" href="{{ route('cuisines.index') }}">
                                        <span class="icon-holder">
                                            <i class="c-red-500 ti-world"></i>
                                        </span>
                                        <span class="title">{{ __('messages.cuisines.menu_title') }}</span>
                                    </a>
                                </li>
                            @endcan
                            @can('create', App\Models\Restaurant::class)
                                <li class="nav-item @if (preg_match('/^restaurants/', \Route::currentRouteName())) actived @endif">
                                    <a class="sidebar-link" href="{{ route('restaurants.index') }}">
                                        <span class="icon-holder">
                                            <i class="c-green-500 ti-home"></i>
                                        </span>
                                        <span class="title">{{ __('messages.restaurants.menu_title') }}</span>
                                    </a>
                                </li>
                            @endcan
                        @endif
                        @can('create', App\Models\Settings::class)
                            <li class="nav-item @if (preg_match('/^settings/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('settings.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-orange-500 ti-settings"></i>
                                    </span>
                                    <span class="title">{{ __('messages.settings.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
                        @can('create', App\Models\User::class)
                            <li class="nav-item @if (preg_match('/^users/', \Route::currentRouteName())) actived @endif">
                                <a class="sidebar-link" href="{{ route('users.index') }}">
                                    <span class="icon-holder">
                                        <i class="c-blue-500 ti-user"></i>
                                    </span>
                                    <span class="title">{{ __('messages.users.menu_title') }}</span>
                                </a>
                            </li>
                        @endcan
					</ul>
				</div>
			</div>
			<div class="page-container">
				<div class="header navbar">
					<div class="header-container">
						<ul class="nav-left">
							<li><a id="sidebar-toggle" class="sidebar-toggle" href="javascript:void(0);"><i class="ti-menu"></i></a></li>
						</ul>
						<ul class="nav-right">
							<li class="dropdown">
								<a href="" class="dropdown-toggle no-after peers fxw-nw ai-c lh-1" data-toggle="dropdown">
									<div class="peer"><span class="fsz-sm c-grey-900">{{ \Auth::user()->email }}</span></div>
								</a>
								<ul class="dropdown-menu fsz-sm">
									<li><a href="{{ url('/logout') }}" class="d-b td-n pY-5 bgcH-grey-100 c-grey-700"><i class="ti-power-off mR-10"></i> <span>{{ __('messages.menu.logout') }}</span></a></li>
								</ul>
							</li>
						</ul>
					</div>
				</div>				<main class="main-content bgc-grey-100">
					<div id="mainContent">
						<div class="container-fluid">
                            {{ $slot }}
						</div>
					</div>
				</main>
				<footer class="bdT ta-c p-30 lh-0 fsz-sm c-grey-600"><span>{{ config('app.name', 'Giraffy Delivery v2') }}</span></footer>
			</div>
        </div>
        <script>
            window.locale = {
                confirm: '{{ __("messages.common.confirm") }}'
            };
        </script>
	</body>
</html>
