<x-app-layout>

    <h4 class="c-grey-900 mT-10 mB-30">
        <a class="btn btn-primary pull-right" href="{{ route('news_items.create') }}">{{__('messages.news.new')}}</a>
        {{ __('messages.news.menu_title') }}
    </h4>

    <div class="bgc-white bd bdrs-3 p-20 mB-20">
        <form action="{{ route('news_items.index') }}" method="get">
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <label class="control-label">{{ __('messages.news.filter_text') }}</label>
                        <input name="filter[q]" type="text" class="form-control" value="{{ is_array($filter) && isset($filter['q']) ? $filter['q'] : '' }}">
                    </div>
                </div>
                @if (\App\Models\Settings::getSettings()->multiple_cities)
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="control-label">{{ __('messages.news.f_city') }}</label>
                            <select name="filter[city_id]" id="" class="form-control">
                                <option value=""></option>
                                @foreach(\App\Models\City::policyScope()->get() as $item)
                                    <option value="{{ $item->id }}" @if(is_array($filter) && isset($filter['city_id']) && $filter['city_id'] == $item->id) selected @endif>
                                        {{ $item->name }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                @endif
            </div>
            <button class="btn btn-primary">{{ __('messages.actions.filter') }}</button>
            <a href="{{ route('news_items.index') }}" class="btn btn-default">{{ __('messages.actions.clear_filter') }}</a>
        </form>
    </div>


    <div class="bgc-white bd bdrs-3 p-20 mB-20">
        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th>{{__('messages.news.f_image')}}</th>
                    <th>{{__('messages.news.f_title')}}</th>
                    @if (\App\Models\Settings::getSettings()->multiple_cities)
                        <th>{{__('messages.news.f_city')}}</th>
                    @endif
                    <th></th>
                </tr>
            </thead>
            <tbody>
            @foreach($items as $item)
                <tr>
                    <td>
                        @if ($item->image != null)
                            <img src="{{ $item->image }}" alt="" class="product-image-table">
                        @endif
                    </td>
                    <td>{{ $item->title }}</td>
                    @if (\App\Models\Settings::getSettings()->multiple_cities)
                        <td>
                            @if ($item->city != null)
                                {{ $item->city->name }}
                            @endif
                        </td>
                    @endif
                    <td>
                        <a href="{{ route('news_items.edit', ['news_item' => $item->id]) }}" class="btn btn-info btn-xs">{{__('messages.actions.edit')}}</a>
                        <form action="{{ route('news_items.destroy', ['news_item' => $item->id]) }}" class="inline-form" method="post">
                            {{ method_field('DELETE') }}
                            {{ csrf_field() }}
                            <button class="btn btn-danger btn-xs" type="submit">{{__('messages.actions.delete')}}</button>
                        </form>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
        {{ $items->appends(['filter' => $filter])->links() }}
    </div>

</x-app-layout>