<x-app-layout>

<h4 class="c-grey-900 mT-10 mB-30">
    {{ __('messages.order_statuses.menu_title') }}
</h4>

<div class="bgc-white bd bdrs-3 p-20 mB-20">
    <form method="post" action="@if ($item->id == null) {{ route('order_statuses.store') }} @else {{ route('order_statuses.update', ['order_status' => $item->id]) }} @endif" enctype="multipart/form-data">
        {{ csrf_field() }}
        @if ($item->id != null)
            {{ method_field('PUT') }}
        @endif

        <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
            <label for="" class="control-label">{{__('messages.order_statuses.f_name')}}</label>
            <input type="text" class="form-control" value="{{$item->name}}" name="name"/>
            @if ($errors->has('name'))
                <span class="help-block">
                    <strong>{{ $errors->first('name') }}</strong>
                </span>
            @endif
        </div>

        <div class="form-group {{ $errors->has('sort') ? ' has-error' : '' }}">
            <label for="" class="control-label">{{__('messages.order_statuses.f_sort')}}</label>
            <input type="text" class="form-control" value="{{$item->sort}}" name="sort"/>
            @if ($errors->has('sort'))
                <span class="help-block">
                    <strong>{{ $errors->first('sort') }}</strong>
                </span>
            @endif
        </div>

        <div class="form-group">
            <div class="form-check">
                <label class="form-check-label">
                    <input class="form-check-input" value="1" type="checkbox" name="is_default" @if ($item->is_default) checked @endif>
                    {{__('messages.order_statuses.f_is_default')}}
                </label>
            </div>
        </div>

        <div class="form-group">
            <div class="form-check">
                <label class="form-check-label">
                    <input class="form-check-input" value="1" type="checkbox" name="available_to_delivery_boy" @if ($item->available_to_delivery_boy) checked @endif>
                    {{__('messages.order_statuses.f_available_to_delivery_boy')}}
                </label>
            </div>
        </div>
        <br/>

        <button type="submit" class="btn btn-primary btn-block">{{__('messages.actions.save')}}</button>
    </form>
</div>

</x-app-layout>