<x-app-layout>

    <h4 class="c-grey-900 mT-10 mB-30">
        <a class="btn btn-primary pull-right" href="{{ route('order_statuses.create') }}">{{__('messages.order_statuses.new')}}</a>
        {{ __('messages.order_statuses.menu_title') }}
    </h4>

    <div class="bgc-white bd bdrs-3 p-20 mB-20">
        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th>{{__('messages.order_statuses.f_name')}}</th>
                    <th>{{__('messages.order_statuses.f_is_default')}}</th>
                    <th>{{__('messages.order_statuses.f_available_to_delivery_boy')}}</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach($items as $item)
                    <tr>
                        <td>{{ $item->name }}</td>
                        <td>
                            @if ($item->is_default)
                                <span class="label label-success">{{ __('messages.common.yes') }}</span>
                            @else
                                <span class="label label-default">{{ __('messages.common.no') }}</span>
                            @endif
                        </td>
                        <td>
                            @if ($item->available_to_delivery_boy)
                                <span class="label label-success">{{ __('messages.common.yes') }}</span>
                            @else
                                <span class="label label-default">{{ __('messages.common.no') }}</span>
                            @endif
                        </td>
                        <td>
                            <a href="{{ route('order_statuses.edit', ['order_status' => $item->id]) }}" class="btn btn-info btn-xs">{{__('messages.actions.edit')}}</a>
                            <form action="{{ route('order_statuses.destroy', ['order_status' => $item->id]) }}" class="inline-form" method="post">
                                {{ method_field('DELETE') }}
                                {{ csrf_field() }}
                                <button class="btn btn-danger btn-xs" type="submit">{{__('messages.actions.delete')}}</button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
        {{ $items->appends(['filter' => $filter])->links() }} 
    </div>

</x-app-layout>