<x-app-layout>

<h4 class="c-grey-900 mT-10 mB-30">
    {{ __('messages.orders.show_title', ['id' => $item->id]) }}
</h4>

<div class="bgc-white bd bdrs-3 p-20 mB-20">
    <p>
        <b>{{ __('messages.orders.delivery_boy') }}</b>
        <form action="{{ route('orders.update_boy', ['id' => $item->id]) }}" method="post" class="inline-form">
            {{ csrf_field() }}
            @if ($item->id != null)
                {{ method_field('PUT') }}
            @endif
            <select name="delivery_boy_id" class="js-delivery-boy">
                <option value=""></option>
                @foreach (\App\Models\DeliveryBoy::all() as $deliveryBoy)
                    <option @if ($deliveryBoy->id == $item->delivery_boy_id) selected @endif value="{{ $deliveryBoy->id }}">{{ $deliveryBoy->name }}</option>
                @endforeach
            </select>
        </form>
    </p>
    <p>
        <b>{{__('messages.orders.d_client_name')}}</b> {{ $item->name }}
    </p>
    <p>
        <b>{{__('messages.orders.d_address')}}</b> {{ $item->address }}
    </p>
    <p>
        <b>{{__('messages.orders.d_comment')}}</b> {{ $item->comment }}
    </p>
    @if (\App\Models\Settings::getSettings()->multiple_cities && $item->city != null)
        <p>
            <b>{{ __('messages.orders.f_city') }}</b> {{ $item->city->name }}
        </p>
    @endif
    @if (\App\Models\Settings::getSettings()->multiple_restaurants && $item->restaurant != null)
        <p>
            <b>{{ __('messages.orders.f_restaurant') }}</b> {{ $item->restaurant->name }}
        </p>
    @endif
    <p>
        <b>{{__('messages.orders.d_area')}}</b>
        @if ($item->deliveryArea != null)
            {{ $item->deliveryArea->name }} ({{\App\Models\Settings::currency($item->delivery_price)}})
        @endif
    </p>
    <p>
        <b>{{__('messages.orders.d_phone')}}</b> {{ $item->phone }}
    </p>
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th>{{__('messages.ordered_products.f_name')}}</th>
                <th>{{__('messages.ordered_products.f_price')}}</th>
                <th>{{__('messages.ordered_products.f_count')}}</th>
                <th>{{__('messages.ordered_products.f_total')}}</th>
            </tr>
        </thead>
        <tbody>
            @foreach($item->orderedProducts as $op)
                <tr>
                    <td>
                        {{ $op->product->name }}
                        @if (count($op->options) > 0)
                            <ul>
                                @foreach ($op->options as $option)
                                    <li>
                                        {{ $option->name }} x {{ $option->count }}
                                    </li>
                                @endforeach
                            </ul>
                        @endif
                    </td>
                    <td>{{ \App\Models\Settings::currency($op->price) }}</td>
                    <td>{{ $op->count }}</td>
                    <td>{{ \App\Models\Settings::currency($op->price * $op->count) }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>
    @if ($item->deliveryArea != null)
        <p class="text-right">
            <b>{{ __('messages.orders.delivery_title') }}</b>
            {{\App\Models\Settings::currency($item->delivery_price)}}
        </p>
    @endif
    @if ($item->promo_code != '')
        <p class="text-right">
            <b>{{ __('messages.orders.f_promo_code') }}</b>
            {{ $item->promo_code }}
        </p>
        <p class="text-right">
            <b>{{ __('messages.orders.d_promo_discount') }}</b>
            {{ \App\Models\Settings::currency($item->promo_discount) }}
        </p>
    @endif
    <p class="text-right">
        <b>{{__('messages.orders.total_title')}}</b> {{ \App\Models\Settings::currency($item->total) }}
    </p>
    <p class="text-right">
        <b>{{__('messages.orders.tax_title')}}</b> {{ \App\Models\Settings::currency($item->tax) }}
    </p>
    <p class="text-right">
        <b>{{__('messages.orders.total_with_tax_title')}}</b> {{ \App\Models\Settings::currency($item->getGrandTotal()) }}
    </p>
</div>
</x-app-layout>
