@extends('layouts.app')

@section('content')
    <form method="post" action="{{ route('products.bulk') }}" enctype="multipart/form-data">
        {{ csrf_field() }}
        <div class="form-group">
            <label>{{ __('messages.products.bulk_file') }}</label>
            <input type="file" name="fl">
        </div>
        <div class="row">
            @if (\App\Models\Settings::getSettings()->multiple_cities)
                <div class="col-sm-6">
                    <div class="form-group">
                        <label class="control-label">{{ __('messages.products.f_city') }}</label>
                        <select name="city_id" id="cities" class="form-control">
                            <option value=""></option>
                            @foreach(\App\Models\City::policyScope()->get() as $item)
                                <option value="{{ $item->id }}">
                                    {{ $item->name }}
                                </option>
                            @endforeach
                        </select>
                    </div>
                </div>
            @endif
            @if (\App\Models\Settings::getSettings()->multiple_restaurants)
                <div class="col-sm-6">
                    <div class="form-group">
                        <label class="control-label">{{ __('messages.products.f_restaurant') }}</label>
                        <select name="restaurant_id" id="restaurants" class="form-control">
                            <option value=""></option>
                            @foreach(\App\Models\Restaurant::policyScope()->get() as $item)
                                <option data-city="{{ $item->city_id }}" value="{{ $item->id }}">
                                    {{ $item->name }}
                                </option>
                            @endforeach
                        </select>
                    </div>
                </div>
            @endif
        </div>
        <button class="btn btn-primary" type="submit">Import</button>
    </form>
    @if (\App\Models\Settings::getSettings()->multiple_cities || \App\Models\Settings::getSettings()->multiple_restaurants)
        <script src="/custom_js/products.js"></script>
    @endif
@endsection
