<x-app-layout>

<h4 class="c-grey-900 mT-10 mB-30">
    {{ __('messages.restaurants.menu_title') }}
</h4>

<div class="bgc-white bd bdrs-3 p-20 mB-20">
    <form method="post" action="@if ($item->id == null) {{ route('restaurants.store') }} @else {{ route('restaurants.update', ['restaurant' => $item->id]) }} @endif" enctype="multipart/form-data">
        {{ csrf_field() }}
        @if ($item->id != null)
            {{ method_field('PUT') }}
        @endif

        <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
            <label for="" class="control-label">{{__('messages.restaurants.f_name')}}</label>
            <input type="text" class="form-control" value="{{$item->name}}" name="name"/>
            @if ($errors->has('name'))
                <span class="help-block">
                    <strong>{{ $errors->first('name') }}</strong>
                </span>
            @endif
        </div>

        @if (\App\Models\Settings::getSettings()->multiple_cities)
            <div class="form-group">
                <label for="" class="control-label">{{__('messages.restaurants.f_city')}}</label>
                <select name="city_id" class="form-control">
                    <option value=""></option>
                    @foreach(\App\Models\City::policyScope()->get() as $city)
                        <option value="{{$city->id}}" @if ($item->city_id == $city->id) selected @endif>
                            {{$city->name}}
                        </option>
                    @endforeach
                </select>
            </div>
        @endif

        <div class="form-group {{ $errors->has('sort') ? ' has-error' : '' }}">
            <label for="" class="control-label">{{__('messages.restaurants.f_sort')}}</label>
            <input type="text" class="form-control" value="{{$item->sort}}" name="sort"/>
            @if ($errors->has('sort'))
                <span class="help-block">
                    <strong>{{ $errors->first('sort') }}</strong>
                </span>
            @endif
        </div>

        <div class="form-group {{ $errors->has('image') ? ' has-error' : '' }}">
            <label for="" class="control-label">{{__('messages.restaurants.f_image')}}</label>
            @if ($item->image != null)
                <div class="row">
                    <div class="col-xs-6">
                        <img src="{{ $item->image }}" alt="" class="img-responsive">
                    </div>
                </div>
            @endif
            <input type="file" name="image">
        </div>

        @if (\App\Models\Settings::getSettings()->multiple_restaurants)
            <div class="form-group">
                <div class="form-check">
                    <label class="form-check-label">
                        <input class="form-check-input" value="1" type="checkbox" name="display_on_welcome_page" @if ($item->display_on_welcome_page) checked @endif>
                        {{__('messages.restaurants.f_display_on_welcome_page')}}
                    </label>
                </div>
            </div>
            <div class="form-group {{ $errors->has('welcome_page_order') ? ' has-error' : '' }}">
                <label for="" class="control-label">{{__('messages.restaurants.f_welcome_page_order')}}</label>
                <input type="text" class="form-control" value="{{$item->welcome_page_order}}" name="welcome_page_order"/>
                @if ($errors->has('welcome_page_order'))
                    <span class="help-block">
                        <strong>{{ $errors->first('welcome_page_order') }}</strong>
                    </span>
                @endif
            </div>

            <h4>{{ __('messages.restaurants.cuisines') }}</h4>
            @foreach(\App\Models\Cuisine::all() as $cuisine)
                <div class="form-check">
                    <label class="form-check-label">
                        <input class="form-check-input" value="{{ $cuisine->id }}" type="checkbox" name="cuisines_ids[]" @if (in_array($cuisine->id, $item->cuisines->pluck('id')->all())) checked @endif>
                        {{ $cuisine->name }}
                    </label>
                </div>
            @endforeach
        @endif

        <br/>
        <h4>{{ __('messages.restaurants.work_hours') }}</h4>
        <div class="row">
            <div class="col-sm-3">{{ __('messages.common.monday') }}</div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_monday_start" placeholder="Start" value="{{ $item->wh_monday_start }}" />
            </div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_monday_end" placeholder="End" value="{{ $item->wh_monday_end }}" />
            </div>
            <div class="col-sm-3">
                <label>
                    <input type="checkbox" name="wh_monday_closed" @if ($item->wh_monday_closed) checked @endif  value="1">
                    {{ __('messages.restaurants.closed') }}
                </label>
            </div>
        </div>
        <br/>
        <div class="row">
            <div class="col-sm-3">{{ __('messages.common.tuesday') }}</div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_tuesday_start" placeholder="Start"  value="{{ $item->wh_tuesday_start }}" />
            </div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_tuesday_end" placeholder="End"  value="{{ $item->wh_tuesday_end }}" />
            </div>
            <div class="col-sm-3">
                <label>
                    <input type="checkbox" name="wh_tuesday_closed" @if ($item->wh_tuesday_closed) checked @endif  value="1">
                    {{ __('messages.restaurants.closed') }}
                </label>
            </div>
        </div>
        <br/>
        <div class="row">
            <div class="col-sm-3">{{ __('messages.common.wednesday') }}</div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_wednesday_start" placeholder="Start" value="{{ $item->wh_wednesday_start }}" />
            </div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_wednesday_end" placeholder="End" value="{{ $item->wh_wednesday_end }}" />
            </div>
            <div class="col-sm-3">
                <label>
                    <input type="checkbox" name="wh_wednesday_closed" @if ($item->wh_wednesday_closed) checked @endif  value="1">
                    {{ __('messages.restaurants.closed') }}
                </label>
            </div>
        </div>
        <br/>
        <div class="row">
            <div class="col-sm-3">{{ __('messages.common.thursday') }}</div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_thursday_start" placeholder="Start" value="{{ $item->wh_thursday_start }}" />
            </div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_thursday_end" placeholder="End" value="{{ $item->wh_thursday_end }}" />
            </div>
            <div class="col-sm-3">
                <label>
                    <input type="checkbox" name="wh_thursday_closed" @if ($item->wh_thursday_closed) checked @endif  value="1">
                    {{ __('messages.restaurants.closed') }}
                </label>
            </div>
        </div>
        <br/>
        <div class="row">
            <div class="col-sm-3">{{ __('messages.common.friday') }}</div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_friday_start" placeholder="Start" value="{{ $item->wh_friday_start }}" />
            </div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_friday_end" placeholder="End" value="{{ $item->wh_friday_end }}" />
            </div>
            <div class="col-sm-3">
                <label>
                    <input type="checkbox" name="wh_friday_closed" @if ($item->wh_friday_closed) checked @endif  value="1">
                    {{ __('messages.restaurants.closed') }}
                </label>
            </div>
        </div>
        <br/>
        <div class="row">
            <div class="col-sm-3">{{ __('messages.common.saturday') }}</div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_saturday_start" placeholder="Start" value="{{ $item->wh_saturday_start }}" />
            </div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_saturday_end" placeholder="End" value="{{ $item->wh_saturday_end }}" />
            </div>
            <div class="col-sm-3">
                <label>
                    <input type="checkbox" name="wh_saturday_closed" @if ($item->wh_saturday_closed) checked @endif value="1">
                    {{ __('messages.restaurants.closed') }}
                </label>
            </div>
        </div>
        <br/>
        <div class="row">
            <div class="col-sm-3">{{ __('messages.common.sunday') }}</div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_sunday_start" placeholder="Start" value="{{ $item->wh_sunday_start }}" />
            </div>
            <div class="col-sm-3">
                <input type="text" class="form-control js-time-picker" name="wh_sunday_end" placeholder="End" value="{{ $item->wh_sunday_end }}" />
            </div>
            <div class="col-sm-3">
                <label>
                    <input type="checkbox" name="wh_sunday_closed" @if ($item->wh_sunday_closed) checked @endif  value="1">
                    {{ __('messages.restaurants.closed') }}
                </label>
            </div>
        </div>
        <br/>
        <br/>

        <button type="submit" class="btn btn-primary btn-block">{{__('messages.actions.save')}}</button>
    </form>
    <br/>
    <br/>

    <br/>
    <br/>
    <br/>
    @if ($item->id != null)
        <h3>
            <a href="#" class="pull-right btn btn-primary btn-xs js-add-disabled-date">
                <span class="fa fa-plus"></span>
                {{ __('messages.restaurants.add_disabled_date')}}
            </a>
            {{ __('messages.restaurants.disabled_dates')}}
        </h3>
        <form method="post" action="{{ route('disabled_dates.store') }}" enctype="multipart/form-data" class="hidden js-disabled-dates-form">
            {{ csrf_field() }}
            <input type="hidden" name="restaurant_id" value="{{ $item->id }}"/>
            <div class="row">
                <div class="col-sm-6">
                    <div class="control-group">
                        <label class="control-label">{{ __('messages.restaurants.disabled_date_from')}}</label>
                        <input type="date" class="form-control" name="date_from" />
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="control-group">
                        <label class="control-label">{{ __('messages.restaurants.disabled_date_to')}}</label>
                        <input type="date" class="form-control" name="date_to" />
                    </div>
                </div>
            </div>
            <br/>
            <button type="submit" class="btn btn-primary">{{ __('messages.restaurants.add_disabled_date')}}</button>
        </form>
        @if ($item->disabledDates->count() > 0)
            <br/>
            <table class="table table-striped table-hover">
                <thead>
                    <tr>
                        <th>{{ __('messages.restaurants.disabeld_dates_dates')}}</th>
                        <th></th>
                    </tr>
                </thead>
                @foreach ($item->disabledDates as $date)
                    <tr>
                        <td>
                            {{ $date->date_from->format(\App\Models\Settings::getSettings()->date_format) }}
                            &mdash;
                            {{ $date->date_to->format(\App\Models\Settings::getSettings()->date_format) }}
                        </td>
                        <td class="text-right">
                            @can('delete', $item)
                                <form action="{{ route('disabled_dates.destroy', ['disabled_date' => $date->id]) }}" class="inline-form" method="post">
                                    {{ method_field('DELETE') }}
                                    {{ csrf_field() }}
                                    <button class="btn btn-danger btn-xs" type="submit">{{__('messages.actions.delete')}}</button>
                                </form>
                            @endcan
                        </td>
                    </tr>
                @endforeach
            </table>
        @endif
    @endif
</x-app-layout>
