<x-app-layout>

<h4 class="c-grey-900 mT-10 mB-30">
    {{ __('messages.tax_groups.menu_title') }}
</h4>

<div class="bgc-white bd bdrs-3 p-20 mB-20">
    <form method="post" action="@if ($item->id == null) {{ route('tax_groups.store') }} @else {{ route('tax_groups.update', ['tax_group' => $item->id]) }} @endif" enctype="multipart/form-data">
        {{ csrf_field() }}
        @if ($item->id != null)
            {{ method_field('PUT') }}
        @endif

        <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
            <label for="" class="control-label">{{__('messages.tax_groups.f_name')}}</label>
            <input type="text" class="form-control" value="{{$item->name}}" name="name"/>
            @if ($errors->has('name'))
                <span class="help-block">
                    <strong>{{ $errors->first('name') }}</strong>
                </span>
            @endif
        </div>

        <div class="form-group {{ $errors->has('value') ? ' has-error' : '' }}">
            <label for="" class="control-label">{{__('messages.tax_groups.f_value')}}</label>
            <input type="text" class="form-control" value="{{$item->value}}" name="value"/>
            @if ($errors->has('value'))
                <span class="help-block">
                    <strong>{{ $errors->first('value') }}</strong>
                </span>
            @endif
        </div>

        <div class="form-group">
            <div class="form-check">
                <label class="form-check-label">
                    <input class="form-check-input" value="1" type="checkbox" name="is_default" @if ($item->is_default) checked @endif>
                    {{__('messages.tax_groups.f_is_default')}}
                </label>
            </div>
        </div>

        <button type="submit" class="btn btn-primary btn-block">{{__('messages.actions.save')}}</button>
    </form>
</x-app-layout>