<x-app-layout>

    <h4 class="c-grey-900 mT-10 mB-30">
        <a class="btn btn-primary pull-right" href="{{ route('tax_groups.create') }}">{{__('messages.tax_groups.new')}}</a>
        {{ __('messages.tax_groups.menu_title') }}
    </h4>

    <div class="bgc-white bd bdrs-3 p-20 mB-20">
        <table class="table">
            <thead class="thead-dark">
            <tr>
                <th>{{__('messages.tax_groups.f_name')}}</th>
                <th>{{__('messages.tax_groups.f_value')}}</th>
                <th>{{__('messages.tax_groups.f_is_default')}}</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            @foreach($items as $item)
                <tr>
                    <td>{{ $item->name }}</td>
                    <td>{{ $item->value }}</td>
                    <td>
                        @if ($item->is_default)
                            <span class="label label-success">{{ __('messages.common.yes') }}</span>
                        @else
                            <span class="label label-default">{{ __('messages.common.no') }}</span>
                        @endif
                    </td>
                    <td>
                        @can('update', $item)
                            <a href="{{ route('tax_groups.edit', ['tax_group' => $item->id]) }}" class="btn btn-info btn-xs">{{__('messages.actions.edit')}}</a>
                        @endcan
                        @can('delete', $item)
                            <form action="{{ route('tax_groups.destroy', ['tax_group' => $item->id]) }}" class="inline-form" method="post">
                                {{ method_field('DELETE') }}
                                {{ csrf_field() }}
                                <button class="btn btn-danger btn-xs" type="submit">{{__('messages.actions.delete')}}</button>
                            </form>
                        @endcan
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
        {{ $items->appends(['filter' => $filter])->links() }}
    </div>

</x-app-layout>