<x-app-layout>

    <h4 class="c-grey-900 mT-10 mB-30">
        <a class="btn btn-primary pull-right" href="{{ route('users.create') }}">{{__('messages.users.new')}}</a>
        {{ __('messages.users.menu_title') }}
    </h4>

    <div class="bgc-white bd bdrs-3 p-20 mB-20">
        <form action="{{ route('users.index') }}" method="get">
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <label class="control-label">{{ __('messages.users.filter_text') }}</label>
                        <input name="filter[q]" type="text" class="form-control" value="{{ is_array($filter) && isset($filter['q']) ? $filter['q'] : '' }}">
                    </div>
                </div>
                @if (\App\Models\Settings::getSettings()->multiple_cities)
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="control-label">{{ __('messages.users.f_city') }}</label>
                            <select name="filter[city_id]" id="" class="form-control">
                                <option value=""></option>
                                @foreach(\App\Models\City::orderBy('sort', 'ASC')->get() as $item)
                                    <option value="{{ $item->id }}" @if(is_array($filter) && isset($filter['city_id']) && $filter['city_id'] == $item->id) selected @endif>
                                        {{ $item->name }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                @endif
            </div>
            <button class="btn btn-primary">{{ __('messages.actions.filter') }}</button>
            <a href="{{ route('users.index') }}" class="btn btn-default">{{ __('messages.actions.clear_filter') }}</a>
        </form>
    </div>

    <div class="bgc-white bd bdrs-3 p-20 mB-20">
        <table class="table">
            <thead class="thead-dark">
                <tr>
                    <th>{{__('messages.users.access_full')}}</th>
                    <th>{{__('messages.users.f_name')}}</th>
                    <th>{{__('messages.users.f_email')}}</th>
                    @if (\App\Models\Settings::getSettings()->multiple_cities)
                        <th>{{__('messages.users.f_cities')}}</th>
                    @endif
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach($items as $item)
                    <tr>
                        <td>
                            @if ($item->access_full)
                                <span class="label label-danger">{{ __('messages.common.yes') }}</span>
                            @else
                                <span class="label label-info">{{ __('messages.common.no') }}</span>
                            @endif
                        </td>
                        <td>{{ $item->name }}</td>
                        <td>{{ $item->email }}</td>
                        @if (\App\Models\Settings::getSettings()->multiple_cities)
                            <td>
                                <ul>
                                    @foreach ($item->cities as $city)
                                        <li>{{ $city->name }}</li>
                                    @endforeach
                                </ul>
                            </td>
                        @endif
                        <td>
                            <a href="{{ route('users.edit', ['user' => $item->id]) }}" class="btn btn-info btn-xs">{{__('messages.actions.edit')}}</a>
                            <form action="{{ route('users.destroy', ['user' => $item->id]) }}" class="inline-form" method="post">
                                {{ method_field('DELETE') }}
                                {{ csrf_field() }}
                                <button class="btn btn-danger btn-xs" type="submit">{{__('messages.actions.delete')}}</button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
        {{ $items->appends(['filter' => $filter])->links() }}
    </div>

</x-app-layout>